Subject: Re: Selectively commit/publish files to GIT

From: Magnus Bäck <[email-masked]>
Date: Fri, 8 Nov 2013 09:13:30 -0500

On Friday, November 08, 2013 at 05:52 EST,
     Thomas Manson <[email-masked]> wrote:

[...]

>   How can I search git history for big files and remove them, or mark
> them to be not published ?
> 
> I've tryed this solution found on the link in the error:
> 
> git filter-branch --force --index-filter   'git rm --cached
> --ignore-unmatch giant_file'   --prune-empty --tag-name-filter cat --
> --all
> git commit --amend -CHEAD

[...]

> here is the error I have using the GitHub application on Mac :
> (after that I intend to use Eclipse)
> 
> File Ressources/dwr/dwr-3.0.0.110.dev-src.zip is 67.69 MB; this is
> larger than GitHub's recommended maximum file size of 50 MB
> GH001: Large files detected.
> Trace: 8f0259b29260f0c4d7ae4d4ae70e0306
> See http://git.io/iEPt8g for more information.
> File .bzr/repository/packs/a7bcd6ba235114ab88c80fe8a97adcfa.pack is
> 178.76 MB; this exceeds GitHub's file size limit of 100 MB

Did you actually replace the 'giant_file' placeholder with the path to
*your* giant file? The error message indicates that you didn't, or that
something else went wrong during the filtering.

You can use 'git log' to look for commits touching particular pathnames,
making it easy to verify that a file has been eradicated.

git log --all -- path/to/big-honking-file.zip

-- 
Magnus Bäck
[email-masked]